Skip to content
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Test the OIDC issuer URL

Reads the discovery document of the issuer. Saves nothing. ok false comes with the error.

POST/api/v1/settings/oidc/test
Authorization
tse_sessionAPI key · cookierequired
Request body
requiredapplication/json
issuer_urlstring
Responses
200

OK

errorstring

Why the console cannot read the discovery document

okbooleanrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/settings/oidc/test' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "issuer_url": "string"
}'
Response
{
  "error": "string",
  "ok": true
}